package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 考试同步抓拍照片结果实体
 * @Author lideyin
 * @Date 2019/12/20 17:16
 * @Version 1.0
 */
public class ExamSyncCaptureBean implements JsonSerializable {

    private static final long serialVersionUID = -71026133205629126L;

    private Long id;
    /**
     * ec_oe_exam_record_data  ID
     */
    private Long examRecordDataId;
    /**
     * 文件URL
     */
    private String fileUrl;

    private String fileName;

    /**
     * 比较是否通过
     */
    private Boolean isPass;

    /**
     * 人脸比较返回信息
     */
    private String faceCompareResult;

    /**
     * 是否有陌生人
     * 就是摄像头拍到不止考生一人
     */
    private Boolean isStranger;
    /**
     * 百度人脸关键点坐标结果
     */
    private String landmark;
    /**
     * 百度在线活体检测结果
     */
    private String facelivenessResult;

    /**
     * 从进入队列到处理完成的时间
     */
    private Long usedTime;

    /**
     * 从开始处理到处理完成的时间
     */
    private Long processTime;


    /**
     * 是否存在虚拟摄像头
     */
    private Boolean hasVirtualCamera;

    /**
     * 摄像头信息
     */
    private String cameraInfos;

    /**
     * 其他信息
     */
    private String extMsg;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public Boolean getStranger() {
        return isStranger;
    }

    public void setStranger(Boolean stranger) {
        isStranger = stranger;
    }

    public String getLandmark() {
        return landmark;
    }

    public void setLandmark(String landmark) {
        this.landmark = landmark;
    }

    public String getFacelivenessResult() {
        return facelivenessResult;
    }

    public void setFacelivenessResult(String facelivenessResult) {
        this.facelivenessResult = facelivenessResult;
    }

    public Long getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Long usedTime) {
        this.usedTime = usedTime;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }
}
